import { AuthServiceService } from './auth-service.service';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { NgxSpinnerService } from 'ngx-spinner';
import { ToastrService } from 'ngx-toastr';

@Injectable({
  providedIn: 'root'
})
export class ExternalSerService {

  constructor(private http: HttpClient, 
    private spinner: NgxSpinnerService, 
    private toastr: ToastrService, 
    private authService: AuthServiceService) { }

      //get externals list 
  getExternalsList(pageId: number, currentPage: number, dataTableNumber: number){
    this.spinner.show();
    console.log(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
    return this.http.get(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
  }

   //get data data from searchBar 
   getDataUSerSearchBar(data, pageId, pagenationNumber, dataTableNumber) {
    console.log('url', this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
     return this.http.get(this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
  }

  //delete data 
  deleteEvent(externalsIds) {
    return this.http.post(this.authService.pathApi + '/delete_external_services' , {'external_services_id' : externalsIds});
  };

  //add external 
  addExternal(dataExternals) {
    console.log(dataExternals);
    return this.http.post(this.authService.pathApi + '/add_external_service', dataExternals);
  }

  //get external data
  getExternalData(externalId: number) {
    return this.http.get(this.authService.pathApi + '/get_external_service/' + externalId);
  };

  //edit extrnal
  editExternal( dataRoleEdit,EditRoleId){
    const editData = dataRoleEdit;
    editData.id = EditRoleId;
    console.log(editData);
    return this.http.post(this.authService.pathApi + '/edit_external_service', editData);
  }



}
